import request from '@/utils/request'

// 微信登录授权获取code
export function getCodeUrl(userType, url) {
	return request({
		'url': '/wxApi/getCodeUrl?userType=' + userType + '&url=' + url,
		'method': 'get'
	})
}

// 微信登录授权获取code
export function getWebAccessTokenAndOpenid(code) {
	return request({
		'url': '/wxApi/getWebAccessTokenAndOpenid?code=' + code,
		'method': 'get'
	})
}

// 微信登录授权获取code
export function gzhLogin(data) {
	return request({
		'url': '/wxApi/gzhLogin',
		'method': 'POST',
		'data': data
	})
}


// 提现接口
export function entPay(orderNo) {
	return request({
		'url': '/payApi/entPay?orderNo=' + orderNo,
		'method': 'get'
	})
}

// 获取urlLink
export function getUrlLink(path, query) {
	return request({
		'url': '/wxApi/getUrlLink?path=' + path + '&query=' + query,
		'method': 'post'
	})
}
